/*
 * testaMetodos.cpp
 * 
 * 
 */


#include <iostream>
#include "cifraRSA.hpp"


#define NUMELEMENTOS 500000

void escreverVector(int  lista[],int comprimento) {
	int i;
	
	for (i=0;i<comprimento-1;i++) {
		cout << lista[i] << ",";
		if ((i+1) % 10 == 0) cout << endl;
	}
	cout << lista[comprimento-1] << "\n";
}

int main(int argc, char **argv) {
	
	int numPrimos,contaPrimos;
	int primos[NUMELEMENTOS]; // vector com 500000 elementos no máximo, para guardar os primos
	CifraRSA cifraRSA;
	
	
    cout << "Introduza um inteiro (primos até esse valor) ";
    cin >> numPrimos;
	
	
	cifraRSA.crivoEratostenes(numPrimos, &contaPrimos, primos[]);
	
	
	// Mostrar a lista de primos

    cout << "Número de primos até " << numPrimos << ": " << contaPrimos << endl;
  
    cout << "Lista de primos até " << numPrimos << "\n ";
    escreverVector(primos,contaPrimos-1);
    cout << endl;
	
	return 0;
}


