/*
 * testaMetodos.cpp
 * 
 * 
 */


#include <iostream>
#include "cifraRSA.hpp"


#define NUMELEMENTOS 500000

void escreverVector(long int  lista[],long int comprimento) {
	int i;
	
	for (i=0;i<comprimento-1;i++) {
		std::cout << lista[i] << ",";
		if ((i+1) % 10 == 0) std::cout << std::endl;
	}
	std::cout << lista[comprimento-1] << "\n";
}

int main(int argc, char **argv) {
	
	long int numPrimos,contaPrimos;
	long int primos[NUMELEMENTOS]; // vector com 500000 elementos no máximo, para guardar os primos
	CifraRSA cifraRSA;
	
	
    std::cout << "Introduza um inteiro (primos até esse valor) ";
    std::cin >> numPrimos;
	
	
	cifraRSA.crivoEratostenes(numPrimos, &contaPrimos, primos);
	
	
	// Mostrar a lista de primos

    std::cout << "Número de primos até " << numPrimos << ": " << contaPrimos << std::endl;
  
    std::cout << "Lista de primos até " << numPrimos << "\n ";
    escreverVector(primos,contaPrimos-1);
    std::cout << std::endl;
	
	return 0;
}


